package com.acme.data.hibernatereactive.repository;

import org.springframework.data.repository.NoRepositoryBean;
import org.springframework.data.repository.reactive.ReactiveSortingRepository;
import org.springframework.transaction.ReactiveTransactionManager;
import reactor.core.publisher.Mono;

import java.util.function.Function;

@NoRepositoryBean
public interface HibernateReactiveRepository<T, ID> extends ReactiveSortingRepository<T, ID> {

    Mono<T> findById(ID id, String... fetchs);
}


