package com.acme.data.hibernatereactive.repository.config;

import org.springframework.data.repository.config.RepositoryBeanDefinitionRegistrarSupport;
import org.springframework.data.repository.config.RepositoryConfigurationExtension;

import java.lang.annotation.Annotation;

public class HibernateReactiveRepositoriesRegistrar extends RepositoryBeanDefinitionRegistrarSupport {
    @Override
    protected Class<? extends Annotation> getAnnotation() {
        return EnableHibernateReactiveRepositories.class;
    }

    @Override
    protected RepositoryConfigurationExtension getExtension() {
        return new HibernateReactiveRepositoryConfigurationExtension();
    }
}
